gen 4 and gen 5 interchangability - Kawasaki ZX-10R.net
 
LinkBack Thread Tools Display Modes
post #1 of 3 Old 02-17-2018, 10:16 PM Thread Starter
Squid
 
Join Date: Feb 2018
Posts: 2
Posting Frequency
 
gen 4 and gen 5 interchangability

Bought a gen4 two bros high mount slip on for a buddy, will it fit my gen 5 zx10?
ThatKawiKid is offline  
Sponsored Links
Advertisement
 
post #2 of 3 Old 02-18-2018, 12:28 AM
WSB Rider
 
michael4012's Avatar
 
Join Date: Dec 2014
Location: England
Posts: 727
Posting Frequency
 
Quote:
Originally Posted by ThatKawiKid View Post
Bought a gen4 two bros high mount slip on for a buddy, will it fit my gen 5 zx10?
Hi mate welome to the forum, there has been extensive threads in what compatable between 4&5 the search function on this forum is one of the best iv ever used

[SIGPIC][/SIGPIC]192MPH stock engined 2008
michael4012 is offline  
post #3 of 3 Old 02-18-2018, 07:44 AM Thread Starter
Squid
 
Join Date: Feb 2018
Posts: 2
Posting Frequency
 
you got links? ive been looking
ThatKawiKid is offline  
Sponsored Links
Advertisement
 
Reply

Quick Reply
Message:
Options

Register Now



In order to be able to post messages on the Kawasaki ZX-10R.net forums, you must first register.
Please enter your desired user name, your email address and other required details in the form below.

User Name:
Password
Please enter a password for your user account. Note that passwords are case-sensitive.

Password:


Confirm Password:
Email Address
Please enter a valid email address for yourself.

Email Address:
OR

Log-in











Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Show Printable Version Show Printable Version
Email this Page Email this Page
Display Modes
Linear Mode Linear Mode



Posting Rules  
You may post new threads
You may post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On

 
For the best viewing experience please update your browser to Google Chrome